<div class="page" ng-controller="RsvpController as vm">
    <div class="col-md-12" ng-hide="confirmCollapsed">
        <div class="panel panel-default">
            <div class="panel-body" style="padding-bottom: 0;">
                <div class="col-md-12 panel-body text-center" ng-hide="vm.guest.qtyAdults === 0 && vm.guest.qtyKids === 0 && vm.guest.qtyFree === 0">
                    <h3 style="font-weight: 400; margin-top: 10px;"> Olá {{ vm.guest.name }}! Confirme a presença no {{vm.event.type}} de {{vm.event.mainCustomers}}. </h3>
                    <div class="divider"></div>
                </div>
                <div class="col-md-12 panel-body text-center" ng-hide="vm.guest.qtyAdults !== 0 || vm.guest.qtyKids !== 0 || vm.guest.qtyFree !== 0">
                    <h3 style="font-weight: 400; margin-top: 10px;"> Olá {{ vm.guest.name }}! Parece que os anfitriões ainda não atualizaram o seu convite. Aguarde um pouco.</h3>
                    <div class="divider"></div>
                </div>
            </div>
        </div>
    </div>

    <div class="divider divider-md"></div>

    <div ng-controller="EditGuestController as vm">
        <div id="confirmGuest"
             class="col-md-12"
             ng-hide="vm.editGuest.qtyAdults === 0 && vm.editGuest.qtyKids === 0 && vm.editGuest.qtyFree === 0"
             uib-collapse="confirmCollapsed"
             ng-init="confirmCollapsed = false">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-lg-6 col-lg-offset-3">
                        <form name="vm.formEditGuest" class="form-horizontal form-validation" data-ng-submit="vm.submitForm()">
                            <div class="form-group">
                                <div class="col-sm-3">
                                    <label> Nome no Convite </label>
                                </div>
                                <div class="col-sm-9">
                                    <input  type="text"
                                            readonly
                                            class="form-control"
                                            ng-model="vm.editGuest.name"
                                            required>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-3 col-xs-5">
                                    <label> Adultos Confirmados </label>
                                </div>
                                <div class="col-sm-3 col-xs-3">
                                    <input  type="number"
                                            id="qtyAdultsConfirmed"
                                            class="form-control"
                                            ng-disabled="vm.editGuest.qtyAdults === 0"
                                            ng-model="vm.editGuest.qtyAdultsConfirmed">
                                </div>
                                <div class="col-sm3 col-xs-4">
                                    <p> de {{ vm.editGuest.qtyAdults }} Convidados. </p>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-3 col-xs-5">
                                    <label> Crianças Confirmados </label>
                                </div>
                                <div class="col-sm-3 col-xs-3">
                                    <input  type="number"
                                            class="form-control"
                                            ng-disabled="vm.editGuest.qtyKids === 0"
                                            ng-model="vm.editGuest.qtyKidsConfirmed">
                                </div>
                                <div class="col-sm3 col-xs-4">
                                    <p> de {{ vm.editGuest.qtyKids }} Convidados. </p>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-3 col-xs-5">
                                    <label> Free Confirmados </label>
                                </div>
                                <div class="col-sm-3 col-xs-3">
                                    <input  type="number"
                                            class="form-control"
                                            ng-disabled="vm.editGuest.qtyFree === 0"
                                            ng-model="vm.editGuest.qtyFreeConfirmed">
                                </div>
                                <div class="col-sm3 col-xs-4">
                                    <p> de {{ vm.editGuest.qtyFree }} Convidados. </p>
                                </div>
                            </div>
                            <button type="submit"
                                    ui-wave
                                    class="btn btn-primary btn-block "
                                    ng-hide="vm.editGuest.qtyAdults === 0 && vm.editGuest.qtyKids === 0 && vm.editGuest.qtyFree === 0"
                                    ng-disabled="!vm.canSubmit() || (vm.editGuest.qtyAdults === 0 && vm.editGuest.qtyKids === 0 && vm.editGuest.qtyFree === 0)">
                                <span data-translate="CONFIRM"></span> </button>
                            <div class="divider"></div>
                            <button type="reset"
                                    ui-wave class="btn  btn-danger pull-right"
                                    ng-disabled="vm.editGuest.qtyAdults === 0 && vm.editGuest.qtyKids === 0 && vm.editGuest.qtyFree === 0"
                                    ng-hide="vm.editGuest.qtyAdults === 0 && vm.editGuest.qtyKids === 0 && vm.editGuest.qtyFree === 0"
                                    ng-click="vm.cancel()">
                                <span data-translate="CANCEL"></span>
                            </button>
                            <div>

                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div id="confirmationMessage"
             class="row col-md-12"
             ng-hide="vm.editGuest.qtyAdults === 0 && vm.editGuest.qtyKids === 0 && vm.editGuest.qtyFree === 0"
             uib-collapse="messageCollapsed"
             ng-init="messageCollapsed = true">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-lg-6 col-lg-offset-3 text-center">
                        <h2 style="font-weight: 400; margin-top: 10px;"> Obrigado {{ vm.editGuest.name }}! Por confirmar sua presença no </h2>
                        <div class="divider"></div>
                        <h1 style="font-weight: 400; margin-top: 20px;"> {{vm.event.type}} de {{vm.event.mainCustomers}}! </h1>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>